> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 고정된 리스트

> 고정된 리스트 보기 및 관리

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Pinned Lists 엔드포인트를 사용하면 인증된 사용자의 리스트를 조회하고, 고정하거나 고정 해제할 수 있습니다. 고정된 리스트는 사용자의 X 인터페이스에서 눈에 띄게 표시됩니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="고정된 리스트 보기" icon="thumbtack">
    사용자의 고정된 리스트를 조회합니다
  </Card>

  <Card title="리스트 고정" icon="plus">
    리스트를 고정합니다
  </Card>

  <Card title="리스트 고정 해제" icon="minus">
    리스트 고정을 해제합니다
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## 엔드포인트
</div>

| Method | Endpoint                                                           | Description |
| :----- | :----------------------------------------------------------------- | :---------- |
| GET    | [`/2/users/:id/pinned_lists`](/ko/x-api/users/get-pinned-lists)    | 고정된 리스트 조회  |
| POST   | [`/2/users/:id/pinned_lists`](/ko/x-api/users/pin-list)            | 리스트 고정      |
| DELETE | [`/2/users/:id/pinned_lists/:list_id`](/ko/x-api/users/unpin-list) | 리스트 고정 해제   |

***

<div id="example-get-pinned-lists">
  ## 예시: 고정된 리스트 조회하기
</div>

```bash theme={null}
curl "https://api.x.com/2/users/123456789/pinned_lists?\
list.fields=name,description,member_count" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

<div id="example-pin-a-list">
  ## 예제: 리스트 고정하기
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/users/123456789/pinned_lists" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"list_id": "9876543210"}'
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/ko/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2)를 통한 사용자 액세스 토큰
</Note>

<CardGroup cols={2}>
  <Card title="조회 빠른 시작" icon="thumbtack" href="/ko/x-api/lists/pinned-lists/quickstart/pinned-list-lookup">
    고정 리스트 조회
  </Card>

  <Card title="관리 빠른 시작" icon="plus" href="/ko/x-api/lists/pinned-lists/quickstart/manage-pinned-lists">
    리스트 고정 및 해제
  </Card>

  <Card title="통합 가이드" icon="book" href="/ko/x-api/lists/pinned-lists/integrate">
    핵심 개념 및 모범 사례
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/lists/pinned-lists-lookup">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
